<?php
/**
 * Aliases for
 *   Special:WelcomeSurvey
 *   Special:Homepage
 *   Special:Impact
 *   Special:ClaimMentee
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'WelcomeSurvey' => [ 'WelcomeSurvey' ],
	'Homepage' => [ 'Homepage' ],
	'Impact' => [ 'Impact' ],
	'ClaimMentee' => [ 'ClaimMentee' ],
];

/** Arabic */
$specialPageAliases['ar'] = [
	'WelcomeSurvey' => [ 'استطلاع_ترحيبي' ],
	'Homepage' => [ 'صفحة_رئيسية', 'لوحة_مستخدم' ],
	'Impact' => [ 'تأثير' ],
	'ClaimMentee' => [ 'مطالبة_مرشد' ],
];

/** čeština (Czech) */
$specialPageAliases['cs'] = [
	'WelcomeSurvey' => [ 'Uvítací_dotazník', 'Uvitaci_dotaznik' ],
	'Homepage' => [ 'Domovská_stránka' ],
	'Impact' => [ 'Dosah_příspěvků' ],
	'ClaimMentee' => [ 'Převzít_nováčka' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'WelcomeSurvey' => [ 'پرسشنامه_خوشامد' ],
	'Homepage' => [ 'خانه' ],
	'Impact' => [ 'تاثیر' ],
	'ClaimMentee' => [ 'آموزش تازه‌کار' ],
];

/** French (français) */
$specialPageAliases['fr'] = [
	'WelcomeSurvey' => [ 'Suivi_des_premiers_clics' ],
	'Homepage' => [ 'Accueil_de_l’espace_personnel' ],
	'Impact' => [ 'Impact' ],
	'ClaimMentee' => [ 'Revendiquer un novice' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'WelcomeSurvey' => [ 'סקר_כניסה' ],
	'Homepage' => [ 'דף_הבית' ],
	'Impact' => [ 'השפעה' ],
	'ClaimMentee' => [ 'קליטת_חניך' ],
];

/** Hungarian (magyar) */
$specialPageAliases['hu'] = [
	'WelcomeSurvey' => [ 'Új_szerkesztők_kérdőíve' ],
	'Homepage' => [ 'Új_szerkesztők_honlapja' ],
	'Impact' => [ 'Eredmény' ],
];

/** Armenian (Հայերեն) */
$specialPageAliases['hy'] = [
	'WelcomeSurvey' => [ 'ՈղջույնիՀարցում' ],
	'Homepage' => [ 'Հիմնական_էջ' ],
	'Impact' => [ 'Ազդեցություն' ],
];

/** 한국어  (Korean) */
$specialPageAliases['ko'] = [
	'WelcomeSurvey' => [ '환영설문조사' ],
	'Homepage' => [ '홈페이지' ],
	'Impact' => [ '영향력', '임팩트' ],
	'ClaimMentee' => [ '멘티데려오기' ],
];

/** Serbian Cyrillic (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'WelcomeSurvey' => [ 'Анкета_добродошлице' ],
	'Homepage' => [ 'Почетна_страница' ],
	'Impact' => [ 'Утицај' ],
	'ClaimMentee' => [ 'Преузимање_новајлије' ],
];

/** Serbian Latin (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'WelcomeSurvey' => [ 'Anketa_dobrodošlice' ],
	'Homepage' => [ 'Početna_stranica' ],
	'Impact' => [ 'Uticaj' ],
	'ClaimMentee' => [ 'Preuzimanje_novajlije' ],
];

/** Ukranian (українська) */
$specialPageAliases['uk'] = [
	'WelcomeSurvey' => [ 'Вітальне_опитування' ],
	'Homepage' => [ 'Домашня_сторінка' ],
	'Impact' => [ 'Вплив' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'WelcomeSurvey' => [ 'Bảng_câu_hỏi_chào_mừng' ],
	'Homepage' => [ 'Trang_nhà' ],
	'ClaimMentee' => [ 'Nhận_Người_được_cố_vấn' ],
];
